%define cachedir  %(vdr-config --cachedir  2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir 2>/dev/null || echo ERROR)
%define videodir  %(vdr-config --videodir  2>/dev/null || echo ERROR)

Name:		vdradmin-am
Version:	3.6.2
Release:	3
Summary:	Web interface for VDR
Group:		VDR
License:	GPLv2+/GPLv2/LGPLv2+
URL:		http://andreas.vdr-developer.org
Source0:	http://andreas.vdr-developer.org/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{name}-httpd.conf
Source3:	%{name}.rwtab
Source4:	vdradmind.pl
Source5:	vdradmind.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}
# Buildrequires (minimum)
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	gettext
BuildRequires:	perl
BuildRequires:	perl-gettext

# Required (minimum)
Requires:	perl
Requires:	perl-gettext

# Required for AutoTimer email notification
Requires:	perl-Authen-SASL
BuildRequires:	perl-Authen-SASL

# Required for AutoTimer email notification and CRAM-MD5 authentication
Requires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-HMAC

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

# Requires (other)
Requires(pre):	shadow
Requires(post):	 /sbin/chkconfig
Requires(preun): /sbin/chkconfig
AutoReq:	no
BuildArch:	noarch

%description
VDRAdmin-AM is a web interface for managing VDR.  You will need access
to a local or remote VDR install to use this package.
The Port of the running server is 8001 (default) and the
username and password is ccux (default).

%pre
# Add the "vdradmin" group
/usr/sbin/groupadd vdradmin 2> /dev/null || :
# Add the "vdradmin" user
/usr/sbin/useradd -c 'VDR web interface' -g vdradmin -s /sbin/nologin -d '/' vdradmin 2> /dev/null || :

%post
/sbin/chkconfig --add vdradmind
/sbin/chkconfig vdradmind on

%preun
if [ $1 -eq 0 ] ; then
    %_initrddir/vdradmind stop >/dev/null || :
    /sbin/chkconfig --del vdradmind
fi

%postun
if [ $1 -gt 0 ] ; then
    rm -rf /var/cache/vdradmin/*
    %_initrddir/vdradmind try-restart >/dev/null || :
fi

%prep
%setup -q
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .
install -pm 644 %{SOURCE3} .
install -pm 644 %{SOURCE4} .
install -pm 644 %{SOURCE5} .

%build
./make.sh utf8add
./make.sh po

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 vdradmind.pl $RPM_BUILD_ROOT%_sbindir/vdradmind
install -Dpm 644 vdradmind.pl.1 $RPM_BUILD_ROOT%_mandir/man8/vdradmind.8

install -dm 755 $RPM_BUILD_ROOT%_datadir/vdradmin/epgimages
cp -pR template $RPM_BUILD_ROOT%_datadir/vdradmin

install -dm 755 $RPM_BUILD_ROOT%_datadir/vdradmin/lib
cp -pR lib $RPM_BUILD_ROOT%_datadir/vdradmin

install -dm 755 $RPM_BUILD_ROOT%_datadir/locale
cp -pR locale/* $RPM_BUILD_ROOT%_datadir/locale

install -Dpm 640 vdradmind.conf $RPM_BUILD_ROOT%_sysconfdir/vdradmin/vdradmind.conf
install -dm 755 $RPM_BUILD_ROOT/var/{cache,log,run}/vdradmin

install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%_initrddir/vdradmind
chmod 755 $RPM_BUILD_ROOT%_initrddir/vdradmind

install -Dpm 644 %{SOURCE3} $RPM_BUILD_ROOT%_sysconfdir/rwtab.d/%{name}
%find_lang vdradmin

%clean
rm -rf $RPM_BUILD_ROOT

%files -f vdradmin.lang
%defattr(-,root,root,-)
%doc COPYING CREDITS FAQ HISTORY INSTALL LGPL.txt README*
%doc contrib/*example convert.pl
%doc %{name}-httpd.conf autotimer2searchtimer.pl
%config(noreplace) %_sysconfdir/rwtab.d/%{name}
%config(noreplace) %_sysconfdir/vdradmin/vdradmind.conf
%_initrddir
%_sbindir
%_datadir/vdradmin/
%_mandir
%defattr(-,vdradmin,vdradmin,-)
%dir /var/cache/vdradmin/
%dir /var/log/vdradmin/
%dir /var/run/vdradmin/
%defattr(-,root,root,-)

%changelog
* Thu Sep 18 2008 Christian Wasem <wasem@ccux-linux.de> 3.6.2-3
- added chkconfig on in specfile
* Wed Sep 17 2008 Christian Wasem <wasem@ccux-linux.de> 3.6.2-2
- added init script
* Wed Sep 17 2008 Christian Wasem <wasem@ccux-linux.de> 3.6.2-1
- Initial release